net/mitmproxy - The NetBSD Packages Collection

Interactive console program for inspecting and editing traffic flows

This package contains tool for HTTP(S) sniffing.

mitmproxy is an interactive, SSL-capable man-in-the-middle proxy
for HTTP with a console interface.

mitmdump is the command-line version of mitmproxy. Think tcpdump
for HTTP.

mitmweb is a web-based interface for mitmproxy.

pathoc and pathod are perverse HTTP client and server applications
designed to let you craft almost any conceivable HTTP request,
including ones that creatively violate the standards.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

security/py-OpenSSL www/py-asgiref security/py-asn1 devel/py-blinker archivers/py-brotli security/py-certifi devel/py-click security/py-cryptography www/py-flask www/py-h2 www/py-hyperframe devel/py-kaitaistruct databases/py-ldap3 devel/py-msgpack security/py-passlib devel/py-protobuf www/py-publicsuffix2 devel/py-pyparsing x11/py-pyperclip devel/py-ruamel-yaml databases/py-sqlite3 devel/py-sortedcontainers www/py-tornado devel/py-urwid www/py-wsproto archivers/py-zstandard lang/python38 lang/python38

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfmitmproxy-6.0.2.tgz
NetBSD 8.0earmv7hfmitmproxy-5.2.tgz
NetBSD 8.0earmv7hfmitmproxy-6.0.2nb1.tgz
NetBSD 8.0i386mitmproxy-5.2.tgz
NetBSD 8.0i386mitmproxy-6.0.2.tgz
NetBSD 8.0i386mitmproxy-6.0.2nb1.tgz
NetBSD 8.0powerpcmitmproxy-5.2.tgz
NetBSD 8.0powerpcmitmproxy-6.0.2.tgz
NetBSD 8.0powerpcmitmproxy-6.0.2.tgz
NetBSD 8.0x86_64mitmproxy-6.0.2nb1.tgz
NetBSD 8.0x86_64mitmproxy-5.2.tgz
NetBSD 8.0x86_64mitmproxy-6.0.2.tgz
NetBSD 9.0aarch64mitmproxy-6.0.2nb1.tgz
NetBSD 9.0aarch64mitmproxy-5.2.tgz
NetBSD 9.0aarch64mitmproxy-6.0.2.tgz
NetBSD 9.0alphamitmproxy-6.0.2nb1.tgz
NetBSD 9.0alphamitmproxy-5.2.tgz
NetBSD 9.0alphamitmproxy-6.0.2.tgz
NetBSD 9.0earmv6hfmitmproxy-6.0.2nb1.tgz
NetBSD 9.0earmv6hfmitmproxy-5.2.tgz
NetBSD 9.0earmv6hfmitmproxy-6.0.2.tgz
NetBSD 9.0earmv6hfmitmproxy-6.0.2.tgz
NetBSD 9.0earmv7hfmitmproxy-6.0.2nb1.tgz
NetBSD 9.0earmv7hfmitmproxy-5.2.tgz
NetBSD 9.0earmv7hfmitmproxy-6.0.2.tgz
NetBSD 9.0earmv7hfmitmproxy-6.0.2.tgz
NetBSD 9.0i386mitmproxy-5.2.tgz
NetBSD 9.0i386mitmproxy-6.0.2.tgz
NetBSD 9.0i386mitmproxy-6.0.2nb1.tgz
NetBSD 9.0mips64ebmitmproxy-6.0.2.tgz
NetBSD 9.0powerpcmitmproxy-6.0.2.tgz
NetBSD 9.0powerpcmitmproxy-5.2.tgz
NetBSD 9.0sparc64mitmproxy-5.2.tgz
NetBSD 9.0sparc64mitmproxy-6.0.2.tgz
NetBSD 9.0x86_64mitmproxy-5.2.tgz
NetBSD 9.0x86_64mitmproxy-6.0.2.tgz
NetBSD 9.0x86_64mitmproxy-6.0.2.tgz
NetBSD 9.0x86_64mitmproxy-6.0.2nb1.tgz
NetBSD 9.0x86_64mitmproxy-5.2.tgz
NetBSD 9.0x86_64mitmproxy-6.0.2.tgz
NetBSD 9.0x86_64mitmproxy-6.0.2nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.